<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/date_error.gi.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/07/85  Date/Time Error codes
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>List of error codes: These are the error codes generated by the
<span id="L4" class="LineNr">  4 </span>date/time system.
<span id="L5" class="LineNr">  5 </span>error-table_$dt_ambiguous_time
<span id="L6" class="LineNr">  6 </span>   there is no language common to all words in the time
<span id="L7" class="LineNr">  7 </span>   string.
<span id="L8" class="LineNr">  8 </span>error-table_$dt_bad_day_of_week
<span id="L9" class="LineNr">  9 </span>   the returned clock reading does not fall on the given
<span id="L10" class="LineNr"> 10 </span>   day of the week.
<span id="L11" class="LineNr"> 11 </span>error_table_$badcall
<span id="L12" class="LineNr"> 12 </span>   the environment was not set up properly before calling
<span id="L13" class="LineNr"> 13 </span>   this procedure.
<span id="L14" class="LineNr"> 14 </span>error-table_$dt_bad_format_selector
<span id="L15" class="LineNr"> 15 </span>   unrecognized selector in format string.
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>error_table_$bad_time
<span id="L19" class="LineNr"> 19 </span>   the time represented by hour, minute and second is
<span id="L20" class="LineNr"> 20 </span>   invalid, e.g., 23:60 or negative time values
<span id="L21" class="LineNr"> 21 </span>error_table_$bad_conversion
<span id="L22" class="LineNr"> 22 </span>   a conversion condition occurred while trying to convert
<span id="L23" class="LineNr"> 23 </span>   a value.
<span id="L24" class="LineNr"> 24 </span>error-table_$dt_time_conversion_error
<span id="L25" class="LineNr"> 25 </span>   For any of the following reasons:
<span id="L26" class="LineNr"> 26 </span>    a.  General syntax error
<span id="L27" class="LineNr"> 27 </span>    b.  Month without a day number.
<span id="L28" class="LineNr"> 28 </span>    c.  Midnight or noon preceded by an hour other than 12.
<span id="L29" class="LineNr"> 29 </span>    d.  Improper use of comma or period.
<span id="L30" class="LineNr"> 30 </span>    e.  Improper use of offset.
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>
<span id="L33" class="LineNr"> 33 </span>error-table_$dt_date_too_big
<span id="L34" class="LineNr"> 34 </span>   the date given is after 9999-12-31_23:59:59.999999_GMT.
<span id="L35" class="LineNr"> 35 </span>error-table_$dt_date_too_small
<span id="L36" class="LineNr"> 36 </span>   the date given is before 0001-01-01_00:00:00.000000_GMT.
<span id="L37" class="LineNr"> 37 </span>error-table_$dt_date_not_exist
<span id="L38" class="LineNr"> 38 </span>   the date given is in the nonexistent range of
<span id="L39" class="LineNr"> 39 </span>   1582-10-05 through 1582-10-14
<span id="L40" class="LineNr"> 40 </span>error-table_$dt_hour_gt_twelve
<span id="L41" class="LineNr"> 41 </span>   the hour given exceeds 12.
<span id="L42" class="LineNr"> 42 </span>error-table_$dt_multiple_date_spec
<span id="L43" class="LineNr"> 43 </span>   more than one instance of a date has been given.
<span id="L44" class="LineNr"> 44 </span>error-table_$dt_multiple_diw_spec
<span id="L45" class="LineNr"> 45 </span>   day of the week specified more than once.
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>error-table_$dt_multiple_time_spec
<span id="L49" class="LineNr"> 49 </span>   more than one instance of a time has been given.
<span id="L50" class="LineNr"> 50 </span>error-table_$dt_multiple_meaning
<span id="L51" class="LineNr"> 51 </span>   the time string does not have the same meaning in all
<span id="L52" class="LineNr"> 52 </span>   potential languages, these being the intersection of
<span id="L53" class="LineNr"> 53 </span>   all the languages possible for all words present.
<span id="L54" class="LineNr"> 54 </span>error-table_$dt_multiple_zone_spec
<span id="L55" class="LineNr"> 55 </span>   the zone may only be specified once.
<span id="L56" class="LineNr"> 56 </span>error-table_$dt_no_format_selector
<span id="L57" class="LineNr"> 57 </span>   the format string contains no selectors and is not a
<span id="L58" class="LineNr"> 58 </span>   known keyword.
<span id="L59" class="LineNr"> 59 </span>error-table_$dt_no_interval_units
<span id="L60" class="LineNr"> 60 </span>   no units given in which to express the interval.
<span id="L61" class="LineNr"> 61 </span>
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>error-table_$dt_offset_too_big_negative
<span id="L64" class="LineNr"> 64 </span>   an offset is so big that when it is applied, it
<span id="L65" class="LineNr"> 65 </span>   yields a date before 0001-01-01_00:00:00.000000_GMT.
<span id="L66" class="LineNr"> 66 </span>error-table_$dt_offset_too_big_positive
<span id="L67" class="LineNr"> 67 </span>   a negative offset is so big that when it is applied,
<span id="L68" class="LineNr"> 68 </span>   it yields a date after 9999-12-31_23:59:59.999999_GMT.
<span id="L69" class="LineNr"> 69 </span>error-table_$picture_bad
<span id="L70" class="LineNr"> 70 </span>   the picture supplied is in error.
<span id="L71" class="LineNr"> 71 </span>error-table_$picture_scale
<span id="L72" class="LineNr"> 72 </span>   the picture scale factor not in the range -128:+127.
<span id="L73" class="LineNr"> 73 </span>error-table_$picture_too_big
<span id="L74" class="LineNr"> 74 </span>   the normalized picture exceeds 64 characters.
<span id="L75" class="LineNr"> 75 </span>error-table_$dt_bad_dm
<span id="L76" class="LineNr"> 76 </span>   day_in_month&lt;1 or day_in_month&gt;month_size.
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>error-table_$dt_bad_dy
<span id="L80" class="LineNr"> 80 </span>   day_in_year &lt; 0 or day_in_year &gt; year_size <span class="textRainbow_lv0_p0">(</span>which is
<span id="L81" class="LineNr"> 81 </span>   355 for 1582<span class="textRainbow_lv0_p0">)</span>.
<span id="L82" class="LineNr"> 82 </span>error-table_$dt_bad_fw
<span id="L83" class="LineNr"> 83 </span>   fiscal_week &lt; 1 or fiscal_week &gt; year_max <span class="textRainbow_lv0_p0">(</span>which is 52
<span id="L84" class="LineNr"> 84 </span>   or 53<span class="textRainbow_lv0_p0">)</span>.
<span id="L85" class="LineNr"> 85 </span>error-table_$dt_bad_my
<span id="L86" class="LineNr"> 86 </span>   month_in_year&lt;1 or month_in_year&gt;12.
<span id="L87" class="LineNr"> 87 </span>error-table_$size_error
<span id="L88" class="LineNr"> 88 </span>   the size condition occurred during processing.
<span id="L89" class="LineNr"> 89 </span>error-table_$dt_size_error
<span id="L90" class="LineNr"> 90 </span>   the size condition occurred while converting the time string.
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>
<span id="L93" class="LineNr"> 93 </span>error-table_$too_many_tokens
<span id="L94" class="LineNr"> 94 </span>   the time string contains more tokens than the
<span id="L95" class="LineNr"> 95 </span>   routine is prepared to handle.
<span id="L96" class="LineNr"> 96 </span>error-table_$dt_conflict
<span id="L97" class="LineNr"> 97 </span>   there is a conflicting combination of day-in-calendar,
<span id="L98" class="LineNr"> 98 </span>   day-in-year, month-in-year, day-in-month and
<span id="L99" class="LineNr"> 99 </span>   fiscal-week.
<span id="L100" class="LineNr">100 </span>error_table_$unimplemented_version
<span id="L101" class="LineNr">101 </span>   a structure is not a version this procedure can handle.
<span id="L102" class="LineNr">102 </span>error-table_$dt_unknown_time_language
<span id="L103" class="LineNr">103 </span>   the language specified by the caller was not found in
<span id="L104" class="LineNr">104 </span>   time_info_.
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>error-table_$dt_unknown_word
<span id="L108" class="LineNr">108 </span>   a word in a time string is not found in the time_info_
<span id="L109" class="LineNr">109 </span>   token list.
<span id="L110" class="LineNr">110 </span>error_table_$unknown_zone
<span id="L111" class="LineNr">111 </span>   the time zone specified by the caller was not found in
<span id="L112" class="LineNr">112 </span>   time_info_.
<span id="L113" class="LineNr">113 </span>error-table_$dt_year_too_big
<span id="L114" class="LineNr">114 </span>   the clock value given, when converted to the specified
<span id="L115" class="LineNr">115 </span>   time zone, is after the year 9999.
<span id="L116" class="LineNr">116 </span>error-table_$dt_year_too_small
<span id="L117" class="LineNr">117 </span>   the clock value given, when converted to the specified
<span id="L118" class="LineNr">118 </span>   time zone, is before the year 0001.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
